<?php
/**
*
 * @package PhpBB Xmas extension
 * @copyright (c) 2016 Stoker
 * @license GNU General Public License, version 2 (GPL-2.0
*
*/

namespace stoker\xmas\migrations\v1x;

class release_1_0_0_data extends \phpbb\db\migration\migration
{
	static public function depends_on()
	{
		return array('\phpbb\db\migration\data\v310\dev');
	}

	public function update_data()
	{
		return array(
			array('config.add', array('enable_xmas', 0)),
			array('config.add', array('enable_xmas_storm', 0)),
			array('config.add', array('xmas_storm_minsize', '2')),
			array('config.add', array('xmas_storm_maxsize', '8')),
			array('config.add', array('xmas_storm_flakecount', '150')),
			array('config.add', array('xmas_testmode', 0)),
			array('config.add', array('xmas_countdown_enable', 0)),
			array('config.add', array('xmas_countdown_direction', 1)),
			array('config.add', array('xmas_countdown_date', '')),
			array('config.add', array('xmas_countdown_text', '')),
			array('config.add', array('xmas_countdown_text_after', '')),
			array('config.add', array('xmas_countdown_complete', '')),
			array('config.add', array('xmas_countdown_testmode', 0)),
			array('config.add', array('xmas_countdown_year', 0)),
			array('config.add', array('xmas_countdown_month', 1)),
			array('config.add', array('xmas_countdown_offset_enable', 0)),
			array('config.add', array('xmas_countdown_leading_enable', 1)),
			array('config.add', array('xmas_countdown_yandm_enable', 1)),
			array('config.add', array('xmas_countdown_week_enable', 0)),
			array('config.add', array('xmas_countdown_offset', '')),
		);
	}

	public function revert_data()
	{
		return array(
			array('config.remove', array('enable_xmas')),
			array('config.remove', array('enable_xmas_storm')),
			array('config.remove', array('xmas_storm_minsize')),
			array('config.remove', array('xmas_storm_maxsize')),
			array('config.remove', array('xmas_storm_flakecount')),
			array('config.remove', array('xmas_testmode')),
			array('config.remove', array('xmas_countdown_enable')),
			array('config.remove', array('xmas_countdown_direction')),
			array('config.remove', array('xmas_countdown_date')),
			array('config.remove', array('xmas_countdown_text')),
			array('config.remove', array('xmas_countdown_text_after')),
			array('config.remove', array('xmas_countdown_complete')),
			array('config.remove', array('xmas_countdown_testmode')),
			array('config.remove', array('xmas_countdown_year')),
			array('config.remove', array('xmas_countdown_month')),
			array('config.remove', array('xmas_countdown_offset_enable')),
			array('config.remove', array('xmas_countdown_leading_enable')),
			array('config.remove', array('xmas_countdown_yandm_enable')),
			array('config.remove', array('xmas_countdown_week_enable')),
			array('config.remove', array('xmas_countdown_offset')),
		);
	}
}
